Bullet Collision Detection & Physics Library: btSoftBodyFloatData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btSoftBodyFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btSoftBodyData.h>`

Collaboration diagram for btSoftBodyFloatData:
[legend]

## Public Attributes
btCollisionObjectFloatData | m_collisionObjectData
SoftBodyPoseData * | m_pose
SoftBodyMaterialData ** | m_materials
SoftBodyNodeData * | m_nodes
SoftBodyLinkData * | m_links
SoftBodyFaceData * | m_faces
SoftBodyTetraData * | m_tetrahedra
SoftRigidAnchorData * | m_anchors
SoftBodyClusterData * | m_clusters
btSoftBodyJointData * | m_joints
int | m_numMaterials
int | m_numNodes
int | m_numLinks
int | m_numFaces
int | m_numTetrahedra
int | m_numAnchors
int | m_numClusters
int | m_numJoints
SoftBodyConfigData | m_config

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 187 of file btSoftBodyData.h.

## Member Data Documentation

## ◆ m_anchors

SoftRigidAnchorData* btSoftBodyFloatData::m_anchors

Definition at line 197 of file btSoftBodyData.h.

## ◆ m_clusters

SoftBodyClusterData* btSoftBodyFloatData::m_clusters

Definition at line 198 of file btSoftBodyData.h.

## ◆ m_collisionObjectData

btCollisionObjectFloatData btSoftBodyFloatData::m_collisionObjectData

Definition at line 189 of file btSoftBodyData.h.

## ◆ m_config

SoftBodyConfigData btSoftBodyFloatData::m_config

Definition at line 209 of file btSoftBodyData.h.

## ◆ m_faces

SoftBodyFaceData* btSoftBodyFloatData::m_faces

Definition at line 195 of file btSoftBodyData.h.

## ◆ m_joints

btSoftBodyJointData* btSoftBodyFloatData::m_joints

Definition at line 199 of file btSoftBodyData.h.

## ◆ m_links

SoftBodyLinkData* btSoftBodyFloatData::m_links

Definition at line 194 of file btSoftBodyData.h.

## ◆ m_materials

SoftBodyMaterialData** btSoftBodyFloatData::m_materials

Definition at line 192 of file btSoftBodyData.h.

## ◆ m_nodes

SoftBodyNodeData* btSoftBodyFloatData::m_nodes

Definition at line 193 of file btSoftBodyData.h.

## ◆ m_numAnchors

int btSoftBodyFloatData::m_numAnchors

Definition at line 206 of file btSoftBodyData.h.

## ◆ m_numClusters

int btSoftBodyFloatData::m_numClusters

Definition at line 207 of file btSoftBodyData.h.

## ◆ m_numFaces

int btSoftBodyFloatData::m_numFaces

Definition at line 204 of file btSoftBodyData.h.

## ◆ m_numJoints

int btSoftBodyFloatData::m_numJoints

Definition at line 208 of file btSoftBodyData.h.

## ◆ m_numLinks

int btSoftBodyFloatData::m_numLinks

Definition at line 203 of file btSoftBodyData.h.

## ◆ m_numMaterials

int btSoftBodyFloatData::m_numMaterials

Definition at line 201 of file btSoftBodyData.h.

## ◆ m_numNodes

int btSoftBodyFloatData::m_numNodes

Definition at line 202 of file btSoftBodyData.h.

## ◆ m_numTetrahedra

int btSoftBodyFloatData::m_numTetrahedra

Definition at line 205 of file btSoftBodyData.h.

## ◆ m_pose

SoftBodyPoseData* btSoftBodyFloatData::m_pose

Definition at line 191 of file btSoftBodyData.h.

## ◆ m_tetrahedra

SoftBodyTetraData* btSoftBodyFloatData::m_tetrahedra

Definition at line 196 of file btSoftBodyData.h.

The documentation for this struct was generated from the following file:

- btSoftBodyData.h